Package com.smartgwt.client.data

# Class GroupTitleFunction

java.lang.Object
com.smartgwt.client.data.GroupTitleFunction

public abstract class GroupTitleFunction extends Object
Provides a way to override the default behavior of `SimpleType.getGroupTitle()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupTitleFunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `executeDefault(Object value, Record record, Map field, String fieldName, Canvas component)`
  Calls the default implementation of `SimpleType.getGroupTitle()`.
  `SimpleType`
  `getSimpleType()`
  Returns the SimpleType object being customized
  `abstract Object`
  `getTitle(Object value, Record record, Map field, String fieldName, Canvas component)`
  Defines new behavior to override `SimpleType.getGroupTitle()`.
  `void`
  `setSimpleType(SimpleType simpleType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupTitleFunction

    public GroupTitleFunction()

- ## Method Details

  - ### setSimpleType

    public void setSimpleType(SimpleType simpleType)

  - ### getSimpleType

    public SimpleType getSimpleType()
    Returns the SimpleType object being customized
    Returns:
      cutomized SimpleType object

  - ### executeDefault

    public String executeDefault(Object value, Record record, Map field, String fieldName, Canvas component)
    Calls the default implementation of `SimpleType.getGroupTitle()`.
    Parameters:
      `value` - the record value to return a group title for
      `record` - the record containing the passed group value
      `field` - the field relating to the value to be processed
      `fieldName` - the name of the field relating to the value to be processed
      `component` - the component, usually a `ListGrid`, containing the passed record
    Returns:
      the group title for the passed parameters

  - ### getTitle

    public abstract Object getTitle(Object value, Record record, Map field, String fieldName, Canvas component)
    Defines new behavior to override `SimpleType.getGroupTitle()`.
    Parameters:
      `value` - the record value to return a group title for
      `record` - the record containing the passed group value
      `field` - the field relating to the value to be processed
      `fieldName` - the name of the field relating to the value to be processed
      `component` - the component, usually a `ListGrid`, containing the passed record
    Returns:
      the group title for the passed parameters